--- old/usr/src/uts/common/io/comstar/stmf/lun_map.c	2014-07-28 07:44:33.547691760 -0400
+++ new/usr/src/uts/common/io/comstar/stmf/lun_map.c	2014-07-28 07:44:33.553704924 -0400
@@ -267,7 +267,7 @@
 				}
 				ilu = (stmf_i_lu_t *)
 				    ent->ent_lu->lu_stmf_private;
-				atomic_add_32(&ilu->ilu_ref_cnt, -1);
+				atomic_dec_32(&ilu->ilu_ref_cnt);
 				kmem_free(sm->lm_plus[n],
 				    sizeof (stmf_lun_map_ent_t));
 			}
@@ -420,7 +420,7 @@
 	lun_map_ent->ent_lu = lu;
 	ret = stmf_add_ent_to_map(sm, (void *)lun_map_ent, lu_nbr);
 	ASSERT(ret == STMF_SUCCESS);
-	atomic_add_32(&ilu->ilu_ref_cnt, 1);
+	atomic_inc_32(&ilu->ilu_ref_cnt);
 	/*
 	 * do not set lun inventory flag for standby port
 	 * as this would be handled from peer
@@ -457,7 +457,7 @@
 
 	ret = stmf_remove_ent_from_map(sm, lu_nbr);
 	ASSERT(ret == STMF_SUCCESS);
-	atomic_add_32(&ilu->ilu_ref_cnt, -1);
+	atomic_dec_32(&ilu->ilu_ref_cnt);
 	iss->iss_flags |= ISS_LUN_INVENTORY_CHANGED;
 	if (lun_map_ent->ent_itl_datap) {
 		stmf_do_itl_dereg(lu, lun_map_ent->ent_itl_datap,
@@ -684,7 +684,7 @@
 		idlist->idl_tail->id_next = id;
 		idlist->idl_tail = id;
 	}
-	atomic_add_32(&idlist->id_count, 1);
+	atomic_inc_32(&idlist->id_count);
 }
 
 void
@@ -701,7 +701,7 @@
 	} else {
 		idlist->idl_head = id->id_next;
 	}
-	atomic_add_32(&idlist->id_count, -1);
+	atomic_dec_32(&idlist->id_count);
 }
 
 
